
Redmine - Defect #24506

On changing many issues to project with custom required fields, fields doesn't show, transfer

doesn't work 

2016-11-30 19:39 - Mikhail Fesenko

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.1

Description

If one project have some custom required fields and you want to change project of many issues to another, you should change one

by one.

I tryed it on 3.2.3 and 3.3.1.

If you try to change one issue, custom fields always shows and you can transfer.

If many, when you select another project with custom fields on edit page, fields doesn't shown.

History

#1 - 2016-12-01 05:00 - Toshi MARUYAMA

- Target version set to 3.4.0

#2 - 2016-12-11 10:44 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Sorry, I cannot reproduce. Please be more specific when describing the issue.

#3 - 2016-12-14 10:43 - Mikhail Fesenko

- File test2_config.png added

- File test1_config.png added

- File one_move.png added

- File move.png added

- File listfield2_config.png added

- File listfield1_config.png added

- File Error_message.png added

Ok, I will try :

I have:

one project with 2 tasks (test1)

one empty project with custom REQUIRED fields (test2)

B project has attached 2 Custom field type "List", and Default values is not set (listfield1, listfield2)

if i try to bulk move 2 task from project test1 to project test2 (by page named "Bulk edit selected issues")

I got error

Custom required fields doesn't shown

Custom fields configuration: they are lists, required, without default value, for all  'Tracker's

#4 - 2016-12-21 09:51 - Jean-Philippe Lang

- Assignee set to Toshi MARUYAMA

I can't reproduce with current trunk, the fields of the target project are visible on the bulk edit form. Toshi, are you able to reproduce?

2025-05-17 1/2



#5 - 2017-01-08 12:55 - Mikhail Fesenko

If you give link to some demo redmine, I can try to reproduse it

#6 - 2017-01-15 13:10 - Jean-Philippe Lang

- Target version deleted (3.4.0)

#7 - 2017-02-07 05:43 - Toshi MARUYAMA

- File bulk-update.png added

- Status changed from Needs feedback to Confirmed

- Assignee deleted (Toshi MARUYAMA)

- Target version set to 3.4.0

Jean-Philippe Lang wrote:

I can't reproduce with current trunk, the fields of the target project are visible on the bulk edit form. Toshi, are you able to reproduce?

 I can reproduce on 3.3-stable.

 bulk-update.png 

#8 - 2017-02-16 05:33 - Toshi MARUYAMA

- Status changed from Confirmed to Needs feedback

- Target version deleted (3.4.0)

Jean-Philippe Lang wrote:

I can't reproduce with current trunk, the fields of the target project are visible on the bulk edit form. Toshi, are you able to reproduce?

 Indeed, trunk shows custom fields. I think #22600 fixed this issue.

Files

test2_config.png 49.2 KB 2016-12-14 Mikhail Fesenko

test1_config.png 47.7 KB 2016-12-14 Mikhail Fesenko

one_move.png 45.2 KB 2016-12-14 Mikhail Fesenko

move.png 35.2 KB 2016-12-14 Mikhail Fesenko

listfield2_config.png 81.4 KB 2016-12-14 Mikhail Fesenko

listfield1_config.png 78.9 KB 2016-12-14 Mikhail Fesenko

Error_message.png 65.8 KB 2016-12-14 Mikhail Fesenko

bulk-update.png 114 KB 2017-02-07 Toshi MARUYAMA

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/issues/22600
http://www.tcpdf.org

